0

I have a Apache 2.2 installation with a site on Django. I load mod_wsgi.so module in my Apache config. Now I'm trying to migrate onto Apache 2.4 and have difficulties with WSGI.

First of all: my server is on Windows 2008R2 (x64).

I setup Apache 2.4 x64 (httpd-2.4.10-win64-VC11.zip from Apache Lounge) Then I downloaded mod_wsgi binary from http://www.lfd.uci.edu/~gohlke/pythonlibs/#mod_wsgi - I took mod_wsgi‑3.5.ap24.win‑amd64‑py2.6.zip as Apache is x64 and my Python is 2.6.

In conf/httpd.conf I have

LoadModule mod_wsgi modules/mod_wsgi.so

I'm getting error when run httpd.exe:

httpd.exe: Syntax error on line 179 of C:/Prog/Apache24/conf/httpd.conf: Cannot load modules/mod_wsgi.so into server : The specified module could not be found.

If I replace mod_wsgi.so with x86 version then I'll get other error about incorrect bitness, so the module seems to try be loaded. I have all vsredist (2008/9,20010/10,2012/11) installed.

What's wrong?

4

In my case the problem was wyth Python - it's x86 while everithing else is x64 (thanks to https://stackoverflow.com/questions/10447094/installing-mod-wsgi-module-for-apache)

Also the module import should be (thanks to Can't locate API module structure `mod_wsgi')

LoadModule wsgi_module modules/mod_wsgi.so

not

LoadModule mod_wsgi modules/mod_wsgi.so

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.